Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031842
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2016-01-08 12:422016-02-18 17:41
ReporteradrianromeroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR16Q2
StatusclosedFix in branchFixed in SCM revisionb459ccd0add2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031842: Confusing fields: 'Allow overpayment' and 'Overpayment limit'

DescriptionThese two fields were defined for the feature request: 29868: Define change limit for cash methods but its meaning are confusing.

Steps To ReproduceJust open the Terminal type windows and go to the tab "Payment Methods" where these fields are defined and to make it visible select a payment method of type "Cash".

1.- Allow overpayment is redundant. Basically if the overpayment limit is zero has the same behaviour as unchecking this field
2.- Overpayment limit actually means "Change limit" the maximum change allowed to be returned to a customer.
Proposed Solution1.- "Allow overpayment". It is redundant and can be simulated setting the limit to zero.
     RR15Q4, RR16Q1: Hide the field from the backend UI. Change WebPOS to ignore this value, assume true
     RR16Q2: Remove the field and clean up code

2.- Rename "Overpayment limit" to "Overpayment / Change Limit" and make it visible for all payment methods.

3.- ModuleScript:
    In order to avoid garbage in the database and also protect any potential implementation that has a modified "Allow overpayment" value it must be considered to remove completely this field from the database, adjust the functionality and create an script that sets the change limit to zero in case "Allow overpayment" is unchecked.

4.- Update documentation.
Terminal Type
http://wiki.openbravo.com/wiki/Retail:Configuration_Guide#POS_Terminal_Type_window [^]
Overpayment
http://wiki.openbravo.com/wiki/Retail:Web_POS_User_Guide#Overpayment [^]

Test cases:
- create a sale with cash and pay more. same with a non-cash payment method
- see related issue 31792. create that test
- verify that change limit is working
- adjust existing tests
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0029868 closedadrianromero Define change limit for cash methods 
depends on backport 0031846RR16Q1 closedranjith_qualiantech_com Confusing fields: 'Allow overpayment' and 'Overpayment limit' 
depends on backport 0031847RR15Q4.2 closedRetail Confusing fields: 'Allow overpayment' and 'Overpayment limit' 
blocks defect 0031792 closedsimbu94 It is not possible to return in Cash if a payment with USA Cash does not allow overpayment 

-  Notes
(0083867)
hgbot (developer)
2016-02-03 08:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b459ccd0add2599aa445d51b7254c2c7843e2dca
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Feb 02 00:03:43 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b459ccd0add2599aa445d51b7254c2c7843e2dca [^]

Fixes issue 31842: Hide field "Allow overpayment" in POS Terminal Type - Payment Method

Added Module script to update overpayment limit
Hide "Allow Overpayment" field from POS Terminal Type

starting from this issue functionality is defined by overpayment limit field value:
- null: Overpayment is allowed without any restriction
- 0: Overpayment is not allowed
- Number: Overpayment is allowed if it not reach the limit

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
A build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.class
A build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842Data.class
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.java
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842_Data.xsql
---
(0083868)
hgbot (developer)
2016-02-03 08:19

Repository: tools/automation/pi-mobile
Changeset: 9869f76fcbb1224509175512507735603823a7aa
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Feb 03 12:43:26 2016 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/9869f76fcbb1224509175512507735603823a7aa [^]

Verifies issue 31842: Added automated test 'I31842_VerifyOverpaymentByLimit'

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I31791_CheckingErrorMsgInOverpayment.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I31842_VerifyOverpaymentByLimit.java
---
(0083881)
hgbot (developer)
2016-02-03 08:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: dffa2660adb8a750a318a41d03efc87d8a9c5973
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Feb 03 08:44:47 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/dffa2660adb8a750a318a41d03efc87d8a9c5973 [^]

Related to issue 31842: Fix license in affected files

---
M src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.java
M src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842_Data.xsql
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0083895)
hgbot (developer)
2016-02-03 13:26

Repository: tools/automation/pi-mobile
Changeset: 22b56cfb7d13ecad1a86d483578514c0693e588c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 02 16:29:24 2016 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/22b56cfb7d13ecad1a86d483578514c0693e588c [^]

Verifies issue 31842: Added automated test 'I31842_VerifyOverpaymentByLimit'

---
M src-test/org/openbravo/test/mobile/common/selenium/database/WebPOSDatabaseConstants.java
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I31842_VerifyOverpaymentByLimit.java
---
(0083924)
guilleaer (developer)
2016-02-04 11:59
edited on: 2016-02-04 12:56

Documentation updated:
http://wiki.openbravo.com/wiki/Retail:Configuration_Guide#POS_Terminal_Type_window [^]
and
http://wiki.openbravo.com/wiki/Retail:Web_POS_User_Guide#Overpayment [^]

(0083933)
hgbot (developer)
2016-02-04 20:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eab9ef1815bbafb12c1592af9123b501255f2c18
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 04 20:17:44 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eab9ef1815bbafb12c1592af9123b501255f2c18 [^]

Related to issue 31842: Module Script has been compiled using java6

---
M build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.class
M build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842Data.class
---
(0084192)
hgbot (developer)
2016-02-15 16:08

Repository: retail/backports/3.0RR16Q1/org.openbravo.retail.posterminal
Changeset: b350c4ba460ff8e446de614b543830e6723c90f7
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Feb 02 00:03:43 2016 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1/org.openbravo.retail.posterminal/rev/b350c4ba460ff8e446de614b543830e6723c90f7 [^]

Fixes issue 31846 backport of issue 31842: Hide field "Allow overpayment" in POS Terminal Type - Payment Method

Added Module script to update overpayment limit
Hide "Allow Overpayment" field from POS Terminal Type

starting from this issue functionality is defined by overpayment limit field value:
- null: Overpayment is allowed without any restriction
- 0: Overpayment is not allowed
- Number: Overpayment is allowed if it not reach the limit

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
A build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.class
A build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842Data.class
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.java
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842_Data.xsql
---
(0084195)
hgbot (developer)
2016-02-15 16:08

Repository: retail/backports/3.0RR16Q1/org.openbravo.retail.posterminal
Changeset: 481fdc5cfa088202a93945fbaf1ec6a3ade88690
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Feb 03 08:44:47 2016 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1/org.openbravo.retail.posterminal/rev/481fdc5cfa088202a93945fbaf1ec6a3ade88690 [^]

Related to issue 31846 backport of issue 31842: Fix license in affected files

---
M src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.java
M src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842_Data.xsql
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0084197)
hgbot (developer)
2016-02-15 16:08

Repository: retail/backports/3.0RR16Q1/org.openbravo.retail.posterminal
Changeset: 2cbfb08264a0dfaf4daffecb9a98b04b7846ee4e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Feb 04 20:17:44 2016 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1/org.openbravo.retail.posterminal/rev/2cbfb08264a0dfaf4daffecb9a98b04b7846ee4e [^]

Related to issue 31846 backport of issue 31842: Module Script has been compiled using java6

---
M build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842.class
M build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue31842Data.class
---

- Issue History
Date Modified Username Field Change
2016-01-08 12:42 adrianromero New Issue
2016-01-08 12:42 adrianromero Assigned To => Retail
2016-01-08 12:42 adrianromero Triggers an Emergency Pack => No
2016-01-08 12:43 adrianromero Relationship added related to 0029868
2016-01-08 12:43 adrianromero Relationship added related to 0031792
2016-01-08 14:06 Orekaria Relationship replaced blocks 0031792
2016-01-08 14:17 Orekaria Proposed Solution updated
2016-01-08 14:17 Orekaria Steps to Reproduce Updated View Revisions
2016-01-08 14:24 Orekaria Proposed Solution updated
2016-01-08 14:25 Orekaria Proposed Solution updated
2016-01-08 14:29 Orekaria Proposed Solution updated
2016-01-08 14:29 Orekaria Proposed Solution updated
2016-01-08 14:32 Orekaria Status new => scheduled
2016-01-08 15:09 dmitry_mezentsev Proposed Solution updated
2016-01-08 15:13 dmitry_mezentsev Proposed Solution updated
2016-01-18 08:12 guillermogil Issue Monitored: guillermogil
2016-01-18 09:38 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2016-02-03 08:19 hgbot Checkin
2016-02-03 08:19 hgbot Note Added: 0083867
2016-02-03 08:19 hgbot Status scheduled => resolved
2016-02-03 08:19 hgbot Resolution open => fixed
2016-02-03 08:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b459ccd0add2599aa445d51b7254c2c7843e2dca [^]
2016-02-03 08:19 hgbot Checkin
2016-02-03 08:19 hgbot Note Added: 0083868
2016-02-03 08:45 hgbot Checkin
2016-02-03 08:45 hgbot Note Added: 0083881
2016-02-03 13:26 hgbot Checkin
2016-02-03 13:26 hgbot Note Added: 0083895
2016-02-04 11:59 guilleaer Note Added: 0083924
2016-02-04 12:56 guilleaer Note Edited: 0083924 View Revisions
2016-02-04 12:56 guilleaer Note Edited: 0083924 View Revisions
2016-02-04 20:30 hgbot Checkin
2016-02-04 20:30 hgbot Note Added: 0083933
2016-02-15 16:08 hgbot Checkin
2016-02-15 16:08 hgbot Note Added: 0084192
2016-02-15 16:08 hgbot Checkin
2016-02-15 16:08 hgbot Note Added: 0084195
2016-02-15 16:08 hgbot Checkin
2016-02-15 16:08 hgbot Note Added: 0084197
2016-02-18 17:41 marvintm Review Assigned To => marvintm
2016-02-18 17:41 marvintm Status resolved => closed
2016-02-18 17:41 marvintm Fixed in Version => RR16Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker